#!/bin/sh

installdir="/usr/local/share/getwmail"

# if the install directory doesn't exist...
if [ ! -d $installdir ] ; then
	# create it
	mkdir $installdir >/dev/null 2>&1
else
	# otherwise, touch and remove a file
	touch $installdir/foo >/dev/null 2>&1
	rm -f $installdir/foo >/dev/null 2>&1
fi

# if the last command failed, then either the directory could not be created
# or we could not create files in it...
if [ $? -ne 0 ] ; then
	echo "Could not create installation directory ($installdir)"
	echo "Exiting..."
	exit 1
fi

for file in COPYING ChangeLog README INSTALL config.pm getwmail.pl hotmail.pm install.sh mailcom.pm sample.getwmailrc utils.pm send_test.pl testimg.jpg
do
	cp $file $installdir
done
cat getwmail.pl | sed -e "s#INSTALLDIR#$installdir#g" >$installdir/getwmail.pl
cp $installdir/getwmail.pl /usr/local/bin

echo "Don't forget to edit config.pm and change the error_address variable!"
