#!/usr/bin/perl


use Mail::Sender;

sub send_message($$$$$$$) {
	my($to,$cc,$from,$via,$ctype,$subj,$mbody) = @_;
	my($mail_handle);

	$mail_handle = new Mail::Sender {from => "$from",smtp => "$smtp_server"} || die "Failed to send email";
	$mail_handle->OpenMultipart({to=> "$to", cc=> "$cc", subject=> "$subj"}) || die "Failed to send email";

	$mail_handle->Body(0,0,$ctype);
	$mail_handle->Send($mbody);
	$mail_handle->Attach({
		encoding => 'Base64',
		description => "testimg.jpg",
		disposition => "attachment; filename = testimg.jpg",
		file => "testimg.jpg"});
	$mail_handle->Attach({
		encoding => 'Base64',
		description => "testimg.jpg",
		disposition => "attachment; filename = testimg.jpg",
		file => "testimg.jpg"});
	$mail_handle->Body(0,0,"text/plain");
	$mail_handle->Send("test message generated by getwmail");
	$mail_handle->Close() || die "Failed to send email";
}

while (@ARGV) {
	my($element) = shift(@ARGV);
	if ($element =~ m/^-f/) {
		$from = shift(@ARGV);
	} elsif ($element =~ m/^-t/) {
		$to = shift(@ARGV);
	} elsif ($element =~ m/^-c/) {
		$cc = shift(@ARGV);
	} elsif ($element =~ m/^-s/) {
		$smtp_server = shift(@ARGV);
	}
}

if (!$from || !$to || !$smtp_server) {
	print STDERR "send_test.pl: Send test messages with attachments to the account\n";
	print STDERR "send_test.pl -f <from> -t <to> -s <smtp server> [-c <cc>]\n";
	exit(1);
}


open(BIN,"testimg.jpg") || die "Could not open test image";
close(BIN);

$html_notice='<!doctype html public "-//w3c//dtd html 4.0 transitional//en">';

print "Sending ASCII email with two 15946 byte jpg attachments\n";
send_message($to,$cc,$from,$smtp_server,'text/plain',"getwmail ascii test","ASCII mail to $to, cc $cc, from $from via $smtp_server with two attachments\n\n");
print "Sending HTML email with two 15946 byte jpg attachments\n";
send_message($to,$cc,$from,$smtp_server,'text/html',"getwmail html test","$html_notice\n<html>\n\nHTML mail:<br><table border=1><tr><td><b>To</b></td><td><b>CC</b></td><td><b>From</b></td><td><b>Via</b></td></tr><tr><td>$to</td><td>$cc</td><td>$from</td><td>$smtp_server</td></tr></table><br> with two attachments</html>\n\n");

